Package org.apache.lucene.codecs.lucene99

# Class OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.ByteVectorValues
org.apache.lucene.util.quantization.QuantizedByteVectorValues
org.apache.lucene.codecs.lucene99.OffHeapQuantizedByteVectorValues
org.apache.lucene.codecs.lucene99.OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues

All Implemented Interfaces:
  `HasIndexSlice`

Enclosing class:
  `OffHeapQuantizedByteVectorValues`

public static class OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues extends OffHeapQuantizedByteVectorValues
Dense vector values that are stored off-heap. This is the most common case when every doc has a vector.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.codecs.lucene99.OffHeapQuantizedByteVectorValues

  `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.codecs.lucene99.OffHeapQuantizedByteVectorValues

  `binaryValue, byteBuffer, byteSize, compress, dimension, lastOrd, numBytes, scalarQuantizer, scoreCorrectionConstant, similarityFunction, size, slice, vectorsScorer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DenseOffHeapVectorValues(int dimension, int size, ScalarQuantizer scalarQuantizer, boolean compress, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, IndexInput slice)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`
  `copy()`
  Creates a new copy of this `KnnVectorValues`.
  `Bits`
  `getAcceptOrds(Bits acceptDocs)`
  Returns a Bits accepting docs accepted by the argument and having a vector value
  `KnnVectorValues.DocIndexIterator`
  `iterator()`
  Create an iterator for this instance.
  `VectorScorer`
  `scorer(float[] target)`
  Return a `VectorScorer` for the given query vector.

  ### Methods inherited from class org.apache.lucene.codecs.lucene99.OffHeapQuantizedByteVectorValues

  `dimension, getScalarQuantizer, getScoreCorrectionConstant, getSlice, getVectorByteLength, load, size, vectorValue`

  ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

  `checkField, fromBytes, getEncoding, scorer`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, fromDISI, ordToDoc`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DenseOffHeapVectorValues

    public DenseOffHeapVectorValues(int dimension, int size, ScalarQuantizer scalarQuantizer, boolean compress, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, IndexInput slice)

- ## Method Details

  - ### copy

    public OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues copy() throws IOException
    Description copied from class: `KnnVectorValues`
    Creates a new copy of this `KnnVectorValues`. This is helpful when you need to access different values at once, to avoid overwriting the underlying vector returned.
    Overrides:
      `copy` in class `QuantizedByteVectorValues`
    Throws:
      `IOException`

  - ### getAcceptOrds

    public Bits getAcceptOrds(Bits acceptDocs)
    Description copied from class: `KnnVectorValues`
    Returns a Bits accepting docs accepted by the argument and having a vector value
    Overrides:
      `getAcceptOrds` in class `KnnVectorValues`

  - ### scorer

    public VectorScorer scorer(float[] target) throws IOException
    Description copied from class: `QuantizedByteVectorValues`
    Return a `VectorScorer` for the given query vector.
    Overrides:
      `scorer` in class `QuantizedByteVectorValues`
    Parameters:
      `target` - the query vector
    Returns:
      a `VectorScorer` instance or null
    Throws:
      `IOException`

  - ### iterator

    public KnnVectorValues.DocIndexIterator iterator()
    Description copied from class: `KnnVectorValues`
    Create an iterator for this instance.
    Overrides:
      `iterator` in class `KnnVectorValues`